#!/bin/bash

for a in `seq 0.40 0.02 0.70`; do
    ## Python
    mpirun -np 4 python cmos_sensor.py -a ${a} > cmos_a${a}_empty.out;
    ## Scheme
    # mpirun -np 4 meep a=${a} substrate?=false cmos-sensor.ctl > cmos_a${a}_empty_flux.out;
    grep flux1: cmos_a${a}_empty_flux.out |cut -d , -f2- > cmos_a${a}_empty_flux.dat;

    ## Python
    mpirun -np 4 python cmos_sensor.py -a ${a} -substrate > cmos_a${a}_flat.out;
    ## Scheme
    # mpirun -np 4 meep a=${a} substrate?=true texture?=false cmos-sensor.ctl > cmos_a${a}_flat_flux.out;
    grep flux1: cmos_a${a}_flat_flux.out |cut -d , -f2- > cmos_a${a}_flat_flux.dat;

    ## Python
    mpirun -np 4 python cmos_sensor.py -a ${a} -substrate -texture > cmos_a${a}_texture.out;
    ## Scheme
    # mpirun -np 4 meep a=${a} substrate?=true texture?=true cmos-sensor.ctl > cmos_a${a}_texture_flux.out;
    grep flux1: cmos_a${a}_texture_flux.out |cut -d , -f2- > cmos_a${a}_texture_flux.dat;
done;
